# eric3.VCS.subversionPackage.TagDialog

Module implementing a dialog to enter the data for a tagging operation.

### Classes

SvnTagDialog | Class implementing a dialog to enter the data for a tagging operation.

### Functions

None

## SvnTagDialog

Class implementing a dialog to enter the data for a tagging operation.

### Derived from

TagForm

### Methods

SvnTagDialog | Constructor
enableOkButton | Private method used to enable/disable the OK-button.
getParameters | Public method to retrieve the tag data.

### SvnTagDialog (Constructor)

SvnTagDialog(taglist, reposURL, standardLayout, parent = None)

Constructor

parent
  parent widget (QWidget)
reposURL
  repository path (QString or string) or None
standardLayout
  flag indicating the layout of the repository (boolean)
taglist
  list of previously entered tags (QStringList)

### SvnTagDialog.enableOkButton

enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

### SvnTagDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of QString and int (tag, tag operation)

Up